Bug 17272 - GNOME panel creates insane labarinth of menus
GNOME panel creates insane labarinth of menus
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
  Show dependency treegraph
Reported: 2000-09-06 00:16 EDT by Mike A. Harris
Modified: 2013-04-02 00:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-06 10:23:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2000-09-06 00:16:48 EDT
GNOME panel in both Red Hat GNOME (RH 6.2 version) as well as Helix GNOME
has a bug/feature that is either not intended, or is a nice video game
thrown in
by the GNOME developers.  ;o)

Click on the GNOME foot menu, and then right click on any section heading
such as "Programs", "KDE menus", or any other sufficiently large tree. 
Choose the option
"add this as a drawer to panel", and then sit back and watch the sparks
fly.  The
hard disk kicks in chugging away for about 10 seconds or so while numerous
icons flash all over the screen randomly and disappear.  When it is all
done, you end
up with a big mucked up game of GNOME panel drawer boulderdash to play. 
It doesn't crash, or at least didn't for me, and all the crap seems to
actually work if you
click on something, but it is obvious that this was not the programmers
intentions at
all.  Either large menu trees should be flagged somehow to not be allowed
as drawers
or else the "drawer" concept needs to be rethought out.

At least 4 other people have tested this and reported to me that they could
the problem on zoot-list.  Good luck.  ;o)
Comment 1 Jonathan Blandford 2000-10-16 11:45:32 EDT
This is the correct behavior, though potentially a little surprising at first. 
The only problem is that it starts out fully expanded -- perhaps it should be
fully closed initially.

Note You need to log in before you can comment on or make changes to this bug.